[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#336057: marked as done (gcc-2.95: FTBFS [arm] gcc/config/arm/arm.c:556: error: invalid lvalue in assignment)



Your message dated Sat, 3 Dec 2005 12:27:21 +0100
with message-id <20051203112721.GJ13009@hattusa.textio>
and subject line This bug was fixed in 2.95.4.ds15-23
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--------------------------------------
Received: (at submit) by bugs.debian.org; 27 Oct 2005 16:27:47 +0000
>From buytenh+debian@wantstofly.org Thu Oct 27 09:27:47 2005
Return-path: <buytenh+debian@wantstofly.org>
Received: from alephnull.demon.nl (enp2611.wantstofly.org) [83.160.184.112] 
	by spohr.debian.org with esmtp (Exim 3.36 1 (Debian))
	id 1EVAbT-0005pd-00; Thu, 27 Oct 2005 09:27:47 -0700
Received: by enp2611.wantstofly.org (Postfix, from userid 0)
	id 99361260983; Thu, 27 Oct 2005 18:27:44 +0200 (CEST)
Content-Type: multipart/mixed; boundary="===============0878747670=="
MIME-Version: 1.0
From: Lennert Buytenhek <buytenh+debian@wantstofly.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gcc-2.95: FTBFS [arm] gcc/config/arm/arm.c:556: error: invalid lvalue in
 assignment
X-Mailer: reportbug 3.17
Date: Thu, 27 Oct 2005 18:27:43 +0200
Message-Id: <20051027162744.99361260983@enp2611.wantstofly.org>
Delivered-To: submit@bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Level: 
X-Spam-Status: No, hits=-8.0 required=4.0 tests=BAYES_00,HAS_PACKAGE 
	autolearn=no version=2.60-bugs.debian.org_2005_01_02

This is a multi-part MIME message sent by reportbug.

--===============0878747670==
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

Package: gcc-2.95
Severity: serious
Tags: patch
Justification: no longer builds from source

Now that gcc 4.0 is the default system compiler, gcc-2.95 ftbfs on
arm due to an 'invalid lvalue in assignment'.  The attached patch
fixes this issue.


-- System Information:
Debian Release: testing/unstable
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: armeb (armv4b)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.13
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

--===============0878747670==
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
	filename="gcc-2.95-2.95.4.ds15-arm-ftbfs.patch"

--- gcc-2.95-2.95.4.ds15/debian/rules.patch.orig	2005-10-27 18:03:41.000000000 +0200
+++ gcc-2.95-2.95.4.ds15/debian/rules.patch	2005-10-27 18:06:42.000000000 +0200
@@ -140,11 +140,11 @@
 ifeq ($(DEB_HOST_ARCH),arm)
   debian_patches += arm-pic arm-nested-func arm-various arm-exception \
 	arm-const-double arm-tune arm-output-int libgcc-umodsi3 \
-	arm-profile
+	arm-profile arm-gcc4-fix
 endif
 all_patches += arm-pic arm-nested-func arm-various arm-exception \
 	arm-const-double arm-tune arm-output-int libgcc-umodsi3 \
-	arm-profile
+	arm-profile arm-gcc4-fix
 
 ifeq ($(DEB_HOST_ARCH),m68k)
   debian_patches += 68060-build gcc-m68k-pic m68k-md m68k-reload g77-m68k-pic
--- gcc-2.95-2.95.4.ds15/debian/patches/arm-gcc4-fix.dpatch.orig	2005-10-27 18:03:26.000000000 +0200
+++ gcc-2.95-2.95.4.ds15/debian/patches/arm-gcc4-fix.dpatch	2005-10-27 18:06:34.000000000 +0200
@@ -0,0 +1,36 @@
+#! /bin/sh -e
+
+# DP: gcc4 build fix for arm (invalid lvalue in assignment)
+
+src=gcc
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+    pdir="-d $3"
+    src=$3/gcc
+elif [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch)
+        patch $pdir -f --no-backup-if-mismatch -p0 --fuzz 10 < $0
+        ;;
+    -unpatch)
+        patch $pdir -f --no-backup-if-mismatch -R -p0 --fuzz 10 < $0
+        ;;
+    *)
+        echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+        exit 1
+esac
+exit 0
+
+--- gcc/config/arm/arm.c.orig	2001-01-25 20:39:56.000000000 +0100
++++ gcc/config/arm/arm.c	2005-10-27 18:00:57.000000000 +0200
+@@ -527,7 +527,7 @@
+   if ((TARGET_SOFT_FLOAT || arm_fpu != FP_HARD) && (tune_flags & FL_MODE32) == 0)
+     flag_schedule_insns = flag_schedule_insns_after_reload = 0;
+   
+-  arm_prog_mode = TARGET_APCS_32 ? PROG_MODE_PROG32 : PROG_MODE_PROG26;
++  arm_prgmode = TARGET_APCS_32 ? PROG_MODE_PROG32 : PROG_MODE_PROG26;
+   
+   if (structure_size_string != NULL)
+     {

--===============0878747670==--

---------------------------------------
Received: (at 336057-done) by bugs.debian.org; 3 Dec 2005 11:27:53 +0000
>From ths@networkno.de Sat Dec 03 03:27:53 2005
Return-path: <ths@networkno.de>
Received: from mx02.qsc.de ([213.148.130.14])
	by spohr.debian.org with esmtp (Exim 4.50)
	id 1EiVYX-0000wY-L3; Sat, 03 Dec 2005 03:27:53 -0800
Received: from port-195-158-169-121.dynamic.qsc.de ([195.158.169.121] helo=hattusa.textio)
	by mx02.qsc.de with esmtp (Exim 3.35 #1)
	id 1EiVY2-0008PS-00; Sat, 03 Dec 2005 12:27:22 +0100
Received: from ths by hattusa.textio with local (Exim 4.54)
	id 1EiVY1-0002sq-K3; Sat, 03 Dec 2005 12:27:21 +0100
Date: Sat, 3 Dec 2005 12:27:21 +0100
To: 323512-done@bugs.debian.org, 326506-done@bugs.debian.org,
	336057-done@bugs.debian.org
Subject: This bug was fixed in 2.95.4.ds15-23
Message-ID: <20051203112721.GJ13009@hattusa.textio>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: Mutt/1.5.11
From: Thiemo Seufer <ths@networkno.de>
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Level: 
X-Spam-Status: No, hits=-2.5 required=4.0 tests=BAYES_00,RCVD_IN_SORBS 
	autolearn=no version=2.60-bugs.debian.org_2005_01_02
X-CrossAssassin-Score: 3

This bug was fixed in 2.95.4.ds15-23.


Thiemo



Reply to: